 <p>
  test works!
</p>
<div class="col-sm-12">
  <button class="btn btn-danger" type="button" (click)="runSimulation()">runSimulation [ {{ runSimulationFlag}} ]</button>
</div>

<div class="row">
    <div class="col-sm-3">
        <ul class="list-group">
            <li draggable *ngFor="let item of items" [dragData]="item" class="list-group-item">{{item.getName()}}</li>
        </ul>
    </div>

    <div class="col-sm-3">
     <div class="form-group">
      <div class="panel panel-default" droppable (onDrop)="onItemDrop($event)">
        <div class="panel-heading">Drop Items here</div>
          <div class="panel-body">
            <div id={{item.getName()}} *ngFor="let item of droppedItems let itemPosition = index" class="list-group-item">
                {{ item.getName() }} {{ item.getNumberOfPins() }} <label *ngFor="let pin of item.getPins()">{{"pin State: " + pin.getState()}} </label> <br>
              <select  #selectedElement *ngFor="let pin of item.getPins() let pinNumber = index" name="pinout" id="pinout" (click)="setConn(itemPosition, selectedElement.value, pinNumber, item.getPinState(pinNumber))">
                <option *ngFor="let conn of connections" [ngValue]="conn.pin">{{conn.name}}</option>
              </select>
            </div>
          </div>
        </div>
      </div>
    </div>
</div>
<hr><hr>
<div class="col-sm-12">
  <button id={{conn.name}} *ngFor="let conn of connections; let i = index" class="btn btn-info" type="button" (click)="changeState(i)">button [ {{ conn.pin }} ]</button>
</div>
<hr><hr>
<div>
  <label for="">{{ "variable" + variable }}</label>
</div>
<div>
  <label for="">{{ "cambio" + cambio }}</label>
</div>
<div class="col-sm-12">
  <!-- <button class="btn btn-danger" type="button" (click)="runSimulation()">runSimulation</button> -->
  <!-- <label [(ngModel)]="runSimulationFlag"></label> -->
</div>

`
